Bug 1643370 - [geo-rep]: RFE - Make slave volume read-only while setting up geo-rep (by default)
Summary: [geo-rep]: RFE - Make slave volume read-only while setting up geo-rep (by def...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 3
Assignee: Harpreet Kaur Lalwani
QA Contact: Rochelle
URL:
Whiteboard:
Depends On:
Blocks: 1654187
TreeView+ depends on / blocked
 
Reported: 2018-10-26 06:26 UTC by Rochelle
Modified: 2019-02-04 07:41 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.12.2-33
Doc Type: Release Note
Doc Text:
With this release, while setting up geo-replication, the slave volumes are made read-only by default. The intention is to write to the master and have the slave volumes synced to it. Considering write should not happen from the slave, it is competent to make the slave volumes read-only.
Clone Of:
: 1654187 (view as bug list)
Environment:
Last Closed: 2019-02-04 07:41:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0263 0 None None None 2019-02-04 07:41:38 UTC

Description Rochelle 2018-10-26 06:26:27 UTC
Description of problem:
=======================
As of now, if we want to make a volume as read-only, we need to specify the volume option and enable it using:

gluster volume set <volume_name> features.read-only on

In geo-rep, the main idea is to write to the master and that is synced to the slave. Since writes should not happen from the slave, it is good to make the slave as read-only by default to avoid mishaps.

In the event of a failover/failback scenario where the slave is made the master and writes need to happen from the slave, this read-only option should simply be disabled (along with enabling the other options which enable the slave volume to sync to the original master)

Comment 3 Nag Pavan Chilakam 2018-11-28 11:28:36 UTC
proposing this for 3.4.3 as the fix helps in avoiding cases from customer(otherwise accidentally then can do destructive action on slave side, and lead to bad experience)

Comment 15 Srijita Mukherjee 2019-01-20 19:21:00 UTC
The doc text has been updated. Kindly review the technical accuracy.

Comment 16 Sunny Kumar 2019-02-01 04:27:07 UTC
Doc text looks good.

Comment 18 errata-xmlrpc 2019-02-04 07:41:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0263


Note You need to log in before you can comment on or make changes to this bug.